org.apache.catalina.tribes.group

## Interface RpcCallback

- All Known Subinterfaces:
    ExtendedRpcCallback
  All Known Implementing Classes:
    AbstractReplicatedMap, LazyReplicatedMap, ReplicatedMap

      public interface RpcCallback

  The RpcCallback interface is an interface for the Tribes channel to request a response object to a request that came in.
  Version:
    1.0
  Author:
    not attributable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `leftOver(Serializable msg, Member sender)` If the reply has already been sent to the requesting thread, the rpc callback can handle any data that comes in after the fact.
    `Serializable` | `replyRequest(Serializable msg, Member sender)`

- - ### Method Detail

    - #### replyRequest

          Serializable replyRequest(Serializable msg,
                                  Member sender)

      Parameters:
        `msg` - Serializable
      Returns:
        Serializable - null if no reply should be sent

    - #### leftOver

          void leftOver(Serializable msg,
                      Member sender)

      If the reply has already been sent to the requesting thread, the rpc callback can handle any data that comes in after the fact.
      Parameters:
        `msg` - Serializable
        `sender` - Member

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.